| PUT | /RestApi/recycle-bin/dataItems |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ItemIdentification | body | DataItemIdentification | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid | No | |
| TypeName | form | string | No | |
| ProviderName | form | string | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/recycle-bin/dataItems HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length
{"ItemIdentification":{"TypeName":"String","ProviderName":"String"}}